#!/bin/bash

RealCmdPath() {
	cmd=`basename $0`
	cd `dirname $0`

	while [ -h $cmd ]; do
        	link=`ls -l $cmd | cut -d\> -f2 | cut -c2-`
        	cmd=`basename $link`

        	cd `dirname $link`
	done
								        
	echo `pwd -P`/$cmd
}										

if [ -z "$JAVA_HOME" ] ; then
    echo "Could not find a JDK."
    echo "Either you have to install a JDK (1.4 or up),"
    echo "or you have to set JAVA_HOME to your JDK installation directory."
    exit
fi

JAVACMD=$JAVA_HOME/bin/java

ulimit -s 2048

cmd=`RealCmdPath`
echo "Cmd: $cmd"
instdir=`dirname "$cmd"`
project=$1
loglevel=$2

cd "$instdir"

CLASSPATH=../lib/floating-server.jar:../lib/poseidon.jar:../lib/umlplugin.jar
export CLASSPATH

"$JAVACMD" -Xmx160m -Xdock:name="Poseidon for UML" -Dposeidon.java.home="$JAVA_HOME" -Dposeidon.user.dir.CE=$POSEIDONCE_HOME com.gentleware.poseidon.Poseidon $project

